NATURALSELECTION(1)

NAME
naturalselection - keep cache directories below a specified threshold

SYNOPSIS
naturalselection.py [options] cacheDirectory

DESCRIPTION
Cache directory manager. Deletes cache entries based on accesstime and free space thresholds. This utility is distributed alongside SabreDAV.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-s  Don't actually make changes, but just simulate the behaviour

-r RUNS, --runs=RUNS
    How many times to check before exiting. -1 is infinite, which is the default

-n SLEEP, --interval=SLEEP
    Sleep time in seconds (default = 5)

-l THRESHOLD, --threshold=THRESHOLD
    Threshold in bytes (default = 10737418240, which is 10GB)

-m MIN_ERASE, --min-erase=MIN_ERASE
    Minimum number of bytes to erase when the threshold is reached. Setting this option higher will reduce the amount of times the cache directory will need to be scanned. (the default is 1073741824, which is 1GB.)